export class TeDeumCompetenceSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const schema = {};

    schema.caracteristique = new fields.StringField({ required: true, blank: false, initial: "puissance" });
    schema.isBase = new fields.BooleanField({ initial: false });
    schema.score = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 });
    schema.scoreBase = new fields.NumberField({ ...requiredInteger, initial: 0, min: 0 });
    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}